cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brent Johnson <bljohn...@gmail.com>
Subject No suitable driver error with Jetty
Date Fri, 22 Apr 2005 18:52:43 GMT
I'm working on a web application and I decided to try using Jetty to
serve the application.  One reason for this was to remove the
complication of having to install Tomcat on the customer's server.

When I run my web app under Tomcat it works just fine.  I then used a
modified version of the Cocoon Loader class and created a script that
does something similar to the cocoon.sh script "servlet" option.

When I start up my application I get the following error in the log files:
2005-04-22 14:25:16,760 [SocketListener0-4] ERROR - Hibernate: No
suitable driver

I implemented Hibernate the same way as shown in the Wiki tutorial. 
It uses the HibernateFactory and the Cocoon database pooling.  As I
said, this works fine under Tomcat but not Jetty.

The Loader class says that it's loading
mysql-connector-java-3.1.7-bin.jar, so the driver should be there. 
I'm using Cocoon 2.1.7 if that helps.

Any ideas?

Thanks,

- Brent

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@cocoon.apache.org
For additional commands, e-mail: users-help@cocoon.apache.org


Mime
View raw message